<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.7" doxygen_gitid="a5f0654670f7c6ba3de2b91b77a8591a90955c1e*">
  <compound kind="file">
    <name>main.dox</name>
    <path>doc/</path>
    <filename>main_8dox.html</filename>
  </compound>
  <compound kind="file">
    <name>utils.h</name>
    <path>include/lsst/coadd/</path>
    <filename>utils_8h.html</filename>
    <includes id="copy_good_pixels_8h" name="copyGoodPixels.h" local="yes" imported="no">lsst/coadd/utils/copyGoodPixels.h</includes>
    <includes id="add_to_coadd_8h" name="addToCoadd.h" local="yes" imported="no">lsst/coadd/utils/addToCoadd.h</includes>
    <includes id="set_coadd_edge_bits_8h" name="setCoaddEdgeBits.h" local="yes" imported="no">lsst/coadd/utils/setCoaddEdgeBits.h</includes>
  </compound>
  <compound kind="file">
    <name>addToCoadd.h</name>
    <path>include/lsst/coadd/utils/</path>
    <filename>add_to_coadd_8h.html</filename>
    <namespace>lsst::coadd</namespace>
    <namespace>lsst::coadd::utils</namespace>
    <member kind="function">
      <type>lsst::geom::Box2I</type>
      <name>addToCoadd</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a5ca3bca3c9af95d5cac8f30cbdca5fdc</anchor>
      <arglist>(lsst::afw::image::Image&lt; CoaddPixelT &gt; &amp;coadd, lsst::afw::image::Image&lt; WeightPixelT &gt; &amp;weightMap, lsst::afw::image::Image&lt; CoaddPixelT &gt; const &amp;image, WeightPixelT weight)</arglist>
    </member>
    <member kind="function">
      <type>lsst::geom::Box2I</type>
      <name>addToCoadd</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a06d3ff7c3d1fb5045fd809dfd58ca88e</anchor>
      <arglist>(lsst::afw::image::MaskedImage&lt; CoaddPixelT, lsst::afw::image::MaskPixel, lsst::afw::image::VariancePixel &gt; &amp;coadd, lsst::afw::image::Image&lt; WeightPixelT &gt; &amp;weightMap, lsst::afw::image::MaskedImage&lt; CoaddPixelT, lsst::afw::image::MaskPixel, lsst::afw::image::VariancePixel &gt; const &amp;maskedImage, lsst::afw::image::MaskPixel const badPixelMask, WeightPixelT weight)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>copyGoodPixels.h</name>
    <path>include/lsst/coadd/utils/</path>
    <filename>copy_good_pixels_8h.html</filename>
    <namespace>lsst::coadd</namespace>
    <namespace>lsst::coadd::utils</namespace>
    <member kind="function">
      <type>int</type>
      <name>copyGoodPixels</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a291702bdb464ba9ae4c185545165b79d</anchor>
      <arglist>(lsst::afw::image::Image&lt; ImagePixelT &gt; &amp;destImage, lsst::afw::image::Image&lt; ImagePixelT &gt; const &amp;srcImage)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>copyGoodPixels</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a713f1c9453917670a2f2961a15842180</anchor>
      <arglist>(lsst::afw::image::MaskedImage&lt; ImagePixelT, lsst::afw::image::MaskPixel, lsst::afw::image::VariancePixel &gt; &amp;destImage, lsst::afw::image::MaskedImage&lt; ImagePixelT, lsst::afw::image::MaskPixel, lsst::afw::image::VariancePixel &gt; const &amp;srcImage, lsst::afw::image::MaskPixel const badPixelMask)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>setCoaddEdgeBits.h</name>
    <path>include/lsst/coadd/utils/</path>
    <filename>set_coadd_edge_bits_8h.html</filename>
    <namespace>lsst::coadd</namespace>
    <namespace>lsst::coadd::utils</namespace>
    <member kind="function">
      <type>void</type>
      <name>setCoaddEdgeBits</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a49bfad372b5df625a0fe3105b6c9a29e</anchor>
      <arglist>(lsst::afw::image::Mask&lt; lsst::afw::image::MaskPixel &gt; &amp;coaddMask, lsst::afw::image::Image&lt; WeightPixelT &gt; const &amp;weightMap)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/</path>
    <filename>____init_____8py.html</filename>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/coadd/</path>
    <filename>coadd_2____init_____8py.html</filename>
    <namespace>lsst::coadd</namespace>
  </compound>
  <compound kind="file">
    <name>__init__.py</name>
    <path>python/lsst/coadd/utils/</path>
    <filename>coadd_2utils_2____init_____8py.html</filename>
    <namespace>lsst::coadd</namespace>
    <namespace>lsst::coadd::utils</namespace>
  </compound>
  <compound kind="file">
    <name>version.py</name>
    <path>python/lsst/coadd/utils/</path>
    <filename>version_8py.html</filename>
    <namespace>lsst::coadd</namespace>
    <namespace>lsst::coadd::utils</namespace>
    <namespace>lsst::coadd::utils::version</namespace>
  </compound>
  <compound kind="file">
    <name>addToCoadd.cc</name>
    <path>src/</path>
    <filename>add_to_coadd_8cc.html</filename>
    <includes id="add_to_coadd_8h" name="addToCoadd.h" local="yes" imported="no">lsst/coadd/utils/addToCoadd.h</includes>
  </compound>
  <compound kind="file">
    <name>copyGoodPixels.cc</name>
    <path>src/</path>
    <filename>copy_good_pixels_8cc.html</filename>
    <includes id="copy_good_pixels_8h" name="copyGoodPixels.h" local="yes" imported="no">lsst/coadd/utils/copyGoodPixels.h</includes>
  </compound>
  <compound kind="file">
    <name>setCoaddEdgeBits.cc</name>
    <path>src/</path>
    <filename>set_coadd_edge_bits_8cc.html</filename>
    <includes id="set_coadd_edge_bits_8h" name="setCoaddEdgeBits.h" local="yes" imported="no">lsst/coadd/utils/setCoaddEdgeBits.h</includes>
  </compound>
  <compound kind="namespace">
    <name>lsst::coadd</name>
    <filename>namespacelsst_1_1coadd.html</filename>
    <namespace>lsst::coadd::utils</namespace>
  </compound>
  <compound kind="namespace">
    <name>lsst::coadd::utils</name>
    <filename>namespacelsst_1_1coadd_1_1utils.html</filename>
    <namespace>lsst::coadd::utils::version</namespace>
    <member kind="function">
      <type>lsst::geom::Box2I</type>
      <name>addToCoadd</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a5ca3bca3c9af95d5cac8f30cbdca5fdc</anchor>
      <arglist>(lsst::afw::image::Image&lt; CoaddPixelT &gt; &amp;coadd, lsst::afw::image::Image&lt; WeightPixelT &gt; &amp;weightMap, lsst::afw::image::Image&lt; CoaddPixelT &gt; const &amp;image, WeightPixelT weight)</arglist>
    </member>
    <member kind="function">
      <type>lsst::geom::Box2I</type>
      <name>addToCoadd</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a06d3ff7c3d1fb5045fd809dfd58ca88e</anchor>
      <arglist>(lsst::afw::image::MaskedImage&lt; CoaddPixelT, lsst::afw::image::MaskPixel, lsst::afw::image::VariancePixel &gt; &amp;coadd, lsst::afw::image::Image&lt; WeightPixelT &gt; &amp;weightMap, lsst::afw::image::MaskedImage&lt; CoaddPixelT, lsst::afw::image::MaskPixel, lsst::afw::image::VariancePixel &gt; const &amp;maskedImage, lsst::afw::image::MaskPixel const badPixelMask, WeightPixelT weight)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>copyGoodPixels</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a291702bdb464ba9ae4c185545165b79d</anchor>
      <arglist>(lsst::afw::image::Image&lt; ImagePixelT &gt; &amp;destImage, lsst::afw::image::Image&lt; ImagePixelT &gt; const &amp;srcImage)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>copyGoodPixels</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a713f1c9453917670a2f2961a15842180</anchor>
      <arglist>(lsst::afw::image::MaskedImage&lt; ImagePixelT, lsst::afw::image::MaskPixel, lsst::afw::image::VariancePixel &gt; &amp;destImage, lsst::afw::image::MaskedImage&lt; ImagePixelT, lsst::afw::image::MaskPixel, lsst::afw::image::VariancePixel &gt; const &amp;srcImage, lsst::afw::image::MaskPixel const badPixelMask)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCoaddEdgeBits</name>
      <anchorfile>namespacelsst_1_1coadd_1_1utils.html</anchorfile>
      <anchor>a49bfad372b5df625a0fe3105b6c9a29e</anchor>
      <arglist>(lsst::afw::image::Mask&lt; lsst::afw::image::MaskPixel &gt; &amp;coaddMask, lsst::afw::image::Image&lt; WeightPixelT &gt; const &amp;weightMap)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>lsst::coadd::utils::version</name>
    <filename>namespacelsst_1_1coadd_1_1utils_1_1version.html</filename>
  </compound>
  <compound kind="namespace">
    <name>std</name>
    <filename>namespacestd.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>lsst::coadd::utils;  Support for coadds</title>
    <filename>index.html</filename>
    <docanchor file="index.html" title="Introduction">coaddUtils_introduction</docanchor>
  </compound>
</tagfile>
